<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Siemens</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="{{ static_url("main.css") }}" type="text/css">
    <script>
        function textAreaAdjust(o) {
            o.style.height = "1px";
            o.style.height = (25 + o.scrollHeight) + "px";
        }
    </script>
</head>
<body>
<div class="header">
{#    <h2>Siemens Bot </h2>#}
</div>
<div class="row" style="margin-top: 30px">
    <div class="container">

        <div class="col-md-12" style=" padding: 10px">
            <div><small>Code/Qty=Price Currency *my_ratio*customer_ratio !Statement ~Delivery_time &Source</small></div>
            <div style="margin-bottom: 20px"><span
                    style="font-weight: bold">6ES72324HD320XB0</span><span>/2=45,000,000 IRR *-5*20!Repack~2-3 day &MF</span>
            </div>


            <form method="post" class="form-group" name="first-form">
                <div class="row">
                    <div class="col-md-4">
                        <label>قیمت ارز</label>
                        <input type="number" name="euro" max="500000" min="200000" class="form-control" placeholder="قیمت یور" value="{{ euro }}" required>
                    </div>
                    <div class="col-md-4">
                        <label>تامین کننده</label>
                        <select name="source" class="form-control">
                            {% for j in source_ls %}
                                <option value="{{ j['name'] }}">{{ j['name'] }}</option>
                            {% end %}
                        </select>
                    </div>
                    <div class="col-md-4">
                        <label>نام مشتری</label>
                        <input type="text" name="customer" class="form-control" placeholder="نام مشتری" required>
                    </div>

                </div>
                <div>
                <textarea rows="10" name="products-data" onkeyup="textAreaAdjust(this)" placeholder="Enter Data"
                          class="form-control"
                          style="margin: 20px 0;overflow:auto;" required></textarea>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <input class="form-control" name="my-ratio" placeholder="ضریب قیمت برای خرید">
                    </div>
                    <div class="col-md-6">
                        <input class="form-control" name="customer-ratio" placeholder="ضریب قیمت برای فروش">
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-6">
                    <textarea name="statement" onkeyup="textAreaAdjust(this)" placeholder="Statement"

                              class="form-control"
                              style="margin: 20px 0;overflow:auto;"></textarea>
                    </div>
                    <div class="col-md-6">
                        <input style="margin: 20px 0;overflow:auto;" class="form-control" id="delivery" type="text" name="delivery" placeholder="زمان تحویل">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <textarea name="remarks" onkeyup="textAreaAdjust(this)" placeholder="Remarks" class="form-control"></textarea>
                    </div>
                </div>


                <input type="submit" class="btn btn-success submit" value="ارسال" style="margin: 20px 0;border: 1px solid white">
            </form>
        </div>
{#        <div class="row" style="border-bottom: 1px solid lightgray; text-align: center; padding-bottom: 15px">#}
{##}
{#            <div class="col-md-3">#}
{#                <span>کد فنی</span>#}
{#            </div>#}
{#            <div class="col-md-1">#}
{#                <span>تعداد</span>#}
{#            </div>#}
{#            <div class="col-md-2">#}
{#                <span>قیمت</span>#}
{#            </div>#}
{#            <div class="col-md-1">#}
{#                <span>واحد پول</span>#}
{#            </div>#}
{#            <div class="col-md-2">#}
{#                <span>توضیحات</span>#}
{#            </div>#}
{#            <div class="col-md-2">#}
{#                <span>زمان تحویل</span>#}
{#            </div>#}
{#            <div class="col-md-1">#}
{#                <span>سورس</span>#}
{#            </div>#}
{##}
{#        </div>#}
{#        {% for i in data %}#}
{#        <div class="row" style="margin: 10px 0">#}
{##}
            {#            <div class="col-md-2">#}
            {#                <img style="width: 80px;border: 1px solid lightgray" src="{{ i['image_url'] }}">#}
            {#            </div>#}
{#            <div class="col-md-3">#}
{#                <input class="form-control" type="text" name="order-number-{{ i['code'] }}"#}
{#                       value="{{ i['code'] }}">#}
{#            </div>#}
{#            <div class="col-md-1">#}
{#                <input class="form-control" type="text" name="order-number-{{ i['code'] }}"#}
{#                       value="{{ i['qty'] }}">#}
{#            </div>#}
{#            <div class="col-md-2">#}
{#                <input class="form-control" type="text" name="order-number-{{ i['code'] }}"#}
{#                       value="{{ i['price'] }}">#}
{#            </div>#}
{#            <div class="col-md-1">#}
{#                <input class="form-control" type="text" name="order-number-{{ i['code'] }}"#}
{#                       value="{{ i['currency'] }}">#}
{#            </div>#}
{##}
{##}
{#            <div class="col-md-2">#}
{#                <input class="form-control" type="text" name="order-number-{{ i['code'] }}"#}
{#                       value="{% if i['Statement'] %}{{ i['Statement'] }} {% end %}">#}
{#            </div>#}
{#            <div class="col-md-2">#}
{#                <input class="form-control" type="text" name="order-number-{{ i['code'] }}"#}
{#                       value="{{ i['deliver'] }}">#}
{#            </div>#}
            {#            <div class="col-md-1">#}
            {#                <input class="form-control" type="text" name="order-number-{{ i['code'] }}"#}
            {#                       value="{% if i[''] %}{{ i['Statement'] }} {% end %}">#}
            {#            </div>#}
{##}
{#            <hr>#}
{##}
{#        </div>#}
{#        {% end %}#}
    </div>
</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        ...
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="edit-euro-modal" tabindex="-1" role="dialog" aria-labelledby="edit-euro-modalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="edit-euro-modalLabel">Insert New Euro Price</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <p>
                            قمیت یورو به شکل خام از سایت استخراج شده و تغییر نکرده - آیا مورد تایید است (ادامه دهید)
                            در غیر این صورت قیمت مورد نظر را وارد کتید و ادامه دهید.
                        </p>
                    </div>
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Euro:</label>
                        <input type="number" name="euro" max="500000" min="200000" class="form-control modal-input new-euro" id="new-euro-val">
                    </div>
                    <input type="hidden" id="new-euro-modal-id">

                </form>
                <div>
                    <span id="modal-msg" class="disp-none" style="color: #34ce57;"><strong>Successful!</strong></span>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">بستن</button>
                <button type="button" class="btn btn-primary" id="edit-euro-btn">ادامه بده</button>

            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="customer-modal" tabindex="-1" role="dialog" aria-labelledby="customer-modalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="customer-modalLabel">Insert New Euro Price</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <p>
                            شما مقداری برای نام مشتری وارد نکرده اید. ادامه میدهید؟
                        </p>
                    </div>
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Customer Name:</label>
                        <input type="text" class="form-control modal-input customer_input" id="customer-val">
                    </div>
                    <input type="hidden" id="new-euro-modal-id">

                </form>
                <div>
                    <span id="modal-msg" class="disp-none" style="color: #34ce57;"><strong>Successful!</strong></span>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">بستن</button>
                <button type="button" class="btn btn-primary" id="modal-customer-btn">ادامه بده</button>

            </div>
        </div>
    </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
<script>
    var form = $("form[name=first-form]");
    var default_euro = $("input[name=euro]").val();
    var euro_edit = false;
    var customer_edit = false;
    $("input[name=euro]").on("change", function (e) {
        euro_edit = true;
    });
    $("input[name=customer]").on("change", function (e) {
        customer_edit = true;
    });
    $(".submit").click(function (e) {
        e.preventDefault();
        try {
            var euro = $("input[name=euro]").val();
            $("#new-euro-val").val(euro);
            if (!euro_edit) {
                $('#edit-euro-modal').modal('toggle');
            }
            else {
                $("#edit-euro-btn").click();
            }
        }
        catch (err) {
            alert(err);
        }

    });
    $(document).on("click", "#edit-euro-btn", function (e) {
        var euro = $("#new-euro-val").val();
        $("input[name=euro]").val(euro);

        var customer = $("input[name=customer]").val();
        $("#customer-val").val(customer);
        if (!customer_edit) {
                $('#customer-modal').modal('toggle');
            }
        else {
            form.submit();
        }
    });
    $(document).on("click", "#modal-customer-btn", function (e) {
        var customer = $("#customer-val").val();
        $("input[name=customer]").val(customer);
        form.submit();
    });
function autocomplete(inp, arr) {
  /*the autocomplete function takes two arguments,
  the text field element and an array of possible autocompleted values:*/
  var currentFocus;
  /*execute a function when someone writes in the text field:*/
  inp.addEventListener("input", function(e) {
      var a, b, i, val = this.value;
      /*close any already open lists of autocompleted values*/
      closeAllLists();
      if (!val) { return false;}
      currentFocus = -1;
      /*create a DIV element that will contain the items (values):*/
      a = document.createElement("DIV");
      a.setAttribute("id", this.id + "autocomplete-list");
      a.setAttribute("class", "autocomplete-items");
      /*append the DIV element as a child of the autocomplete container:*/
      this.parentNode.appendChild(a);
      /*for each item in the array...*/
      for (i = 0; i < arr.length; i++) {
        /*check if the item starts with the same letters as the text field value:*/
        if (arr[i].substr(0, val.length).toUpperCase() == val.toUpperCase()) {
          /*create a DIV element for each matching element:*/
          b = document.createElement("DIV");
          /*make the matching letters bold:*/
          b.innerHTML = "<strong>" + arr[i].substr(0, val.length) + "</strong>";
          b.innerHTML += arr[i].substr(val.length);
          /*insert a input field that will hold the current array item's value:*/
          b.innerHTML += "<input type='hidden' value='" + arr[i] + "'>";
          /*execute a function when someone clicks on the item value (DIV element):*/
          b.addEventListener("click", function(e) {
              /*insert the value for the autocomplete text field:*/
              inp.value = this.getElementsByTagName("input")[0].value;
              /*close the list of autocompleted values,
              (or any other open lists of autocompleted values:*/
              closeAllLists();
          });
          a.appendChild(b);
        }
      }
  });
  /*execute a function presses a key on the keyboard:*/
  inp.addEventListener("keydown", function(e) {
      var x = document.getElementById(this.id + "autocomplete-list");
      if (x) x = x.getElementsByTagName("div");
      if (e.keyCode == 40) {
        /*If the arrow DOWN key is pressed,
        increase the currentFocus variable:*/
        currentFocus++;
        /*and and make the current item more visible:*/
        addActive(x);
      } else if (e.keyCode == 38) { //up
        /*If the arrow UP key is pressed,
        decrease the currentFocus variable:*/
        currentFocus--;
        /*and and make the current item more visible:*/
        addActive(x);
      } else if (e.keyCode == 13) {
        /*If the ENTER key is pressed, prevent the form from being submitted,*/
        e.preventDefault();
        if (currentFocus > -1) {
          /*and simulate a click on the "active" item:*/
          if (x) x[currentFocus].click();
        }
      }
  });
  function addActive(x) {
    /*a function to classify an item as "active":*/
    if (!x) return false;
    /*start by removing the "active" class on all items:*/
    removeActive(x);
    if (currentFocus >= x.length) currentFocus = 0;
    if (currentFocus < 0) currentFocus = (x.length - 1);
    /*add class "autocomplete-active":*/
    x[currentFocus].classList.add("autocomplete-active");
  }
  function removeActive(x) {
    /*a function to remove the "active" class from all autocomplete items:*/
    for (var i = 0; i < x.length; i++) {
      x[i].classList.remove("autocomplete-active");
    }
  }
  function closeAllLists(elmnt) {
    /*close all autocomplete lists in the document,
    except the one passed as an argument:*/
    var x = document.getElementsByClassName("autocomplete-items");
    for (var i = 0; i < x.length; i++) {
      if (elmnt != x[i] && elmnt != inp) {
        x[i].parentNode.removeChild(x[i]);
      }
    }
  }
  /*execute a function when someone clicks in the document:*/
  document.addEventListener("click", function (e) {
      closeAllLists(e.target);
  });
}

/*An array containing all the country names in the world:*/
var countries = ["آماده ارسال","یک تا دو روز آینده","سه روز تا یک هفته روز آینده","یک هفته تا ده روز آینده","یک ماه آینده","بیشتر از یکماه"];

/*initiate the autocomplete function on the "myInput" element, and pass along the countries array as possible autocomplete values:*/
autocomplete(document.getElementById("delivery"), countries);
</script>
</body>
</html>